write.ctd {oce} | R Documentation

## Write a CTD data object as a .csv file

### Description

Write a CTD data object as a `.csv` file.

### Usage

    write.ctd(object, file=stop("'file' must be specified"))

### Arguments

`object` | A `ctd` object, e.g. as read by `read.ctd`.
`file` | Either a character string (the file name) or a connection. This is a mandatory argument.

### Details

Writes a comma-separated file containing the data frame stored in `object@data`. The file is suitable for reading with a spreadsheet, or with `read.csv`. Note that the output file will retain none of the meta-data stored in `object`.

### Author(s)

Dan Kelley

### See Also

The documentation for `ctd-class` explains the structure of CTD objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    data(ctd)
    write.ctd(ctd, "ctd.csv")
    d <- read.csv("ctd.csv")
    plot(as.ctd(d$salinity, d$temperature, d$pressure))

[Package oce version 0.9-18 Index]